/*
Theme Name: Steve Tallis
Theme URI: https://www.stevetallis.com
Author: Michele Ong
Author URI: https://www.micheleong.com/
Description: Steve Tallis Site Theme
Version: 1.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: berliner
Text Domain: steve-tallis
*/

/*
 * Typography
 */

h1, .h1,
h2, .h2,
h3, .h3,
h4, .h4,
h5, .h5,
h6, .h6 {
    line-height: normal;
    font-family: "League Gothic", sans-serif;
    font-weight: normal;
    color: #63625f;
    margin: 0 0 15px 0;
    text-transform: uppercase;
}

h1, .h1 {
    font-size: 3rem;
}

h2, .h2 {
    font-size: 2.7rem;
}

h3, .h3 {
    font-size: 2.4rem;
}

h4, .h4 {
    font-size: 2rem;
}

h5, .h5 {
    font-size: 1.8rem;
}

h6, .h6 {
    font-size: 1.6rem;
}

.text-lowercase * {
    text-transform: lowercase;
}

/**
 * Header
 */

#brand {
    text-transform: lowercase;
    padding: 1rem 2rem;
    margin: 0;
}

#brand .h1, #brand .h3 {
    margin: 0;
    text-transform: lowercase;
}

#brand a {
    font-family: "brandon-grotesque", sans-serif;
    font-weight: 500;
}

.s-title {
    font-family: "brandon-grotesque", sans-serif;
}

body:not(.elementor-editor-active) #navbar {
    position: fixed;
    opacity: 0.90;
    transition: opacity .5s ease-in-out;
    z-index: 1000;
}

body.navbar--active:not(.elementor-editor-active) #navbar {
    opacity: 1;
    transition: opacity .5s ease-in-out;
}

#navbar li.featured a {
    color: #FEFCF8;
    background: #D95919;
    border-radius: 5px;
}

.hero-title {
    color: #20292E;
}

@media only screen and (max-width: 767px) {
    body:not(.elementor-editor-active) #navbar {
        position: relative;
        opacity: 1.0;
    }
}

@media only screen and (max-width: 1023px) {
    #brand .h3 {
        font-size: larger;
    }
}

/**
 * Body
 */

#supports ul {
    list-style: none;
}

#supports ul li {
    margin: 1em 0;
}

body a.btn,
body input[type=submit],
body button[type=submit],
body a.btn.alt:hover,
body a.btn:hover,
body input[type=submit]:hover,
body button:hover {
    color: #FEFCF8;
    border-color: #D95919;
}

/**
 * Events
 */
.post-type-archive-cpt_event .container .row {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: -30px;
}

.post-type-archive-cpt_event .container .row *[class^=col] {
    margin-bottom: 30px;
}

.cpt_event {
    height: 100%;
    border-bottom: 1rem solid transparent;
}

.cpt_event .item-time {
    position: relative;
    top: 0;
    left: 0;
    display: inline-block;
    margin-left: -15px;
    margin-bottom: 10px;
}

/**
 * Discography
 */

.tracklisting li.track {
    display: flex;
    padding: 0;
    min-height: 50px;
}

.tracklisting li.track .sm2_link,
.tracklisting li.track .sm2_link_filler {
    border-right: 1px solid #E7E7E3;
    position: relative;
    width: 50px;
}

.tracklisting li.track .sm2_link i {
    margin: 9px;
}

.tracklisting li.track .track-description {
    display: flex;
    flex: 1;
    flex-direction: column;
    justify-content: center;
    padding-left: 1rem;
}

.tracklisting li.track h4 {
    font-size: initial;
}

span.tracknumber:after {
    content: '.';
}

/**
 * Send In Blue
 */
.sib-multi-lists {
    display: flex;
    justify-content: space-evenly;
}

/**
 * Social
 */

.list-social-icons .social-icon {
    background-color: var(--e-global-color-accent);
}

.list-social-icons li a {
    color: var(--e-global-color-15ef89f);
}

.list-social-icons li a .fa-stack {
    font-size: 0.5em;
    vertical-align: initial;
}

.list-social-icons li a .fa-inverse {
    color: var(--e-global-color-accent);
    padding-top: 2px;
    padding-left: 3px;
}

/**
 * Accordion
 */
ul.accordion {
    list-style: none;
    padding: 0;
}

ul.accordion .inner {
    padding-left: 1em;
    padding-top: 1em;
    overflow: hidden;
    display: none;
}

ul.accordion .inner.show {
    /*display: block;*/
}

ul.accordion li {
    margin: .5em 0;
}

ul.accordion li .toggle {
    width: 100%;
    display: block;
    background: #FEFCF8;
    color: #20292E;
    margin: 0;
    padding: .75em;
    border-radius: 0.15em;
    transition: background .3s ease;
    cursor: pointer;
}

ul.accordion li .toggle:hover {
    background: rgba(254,252, 248, 0.7);
}

/* -----------------------------------------
	Elementor Plugins
   ----------------------------------------- */

.elementor-image-carousel-caption {
    position: absolute;
    left: 5rem;
    bottom: 5rem;
    font-family: 'brandon-grotesque';
    color: #fefcf8;
    font-size: 2.25em;
    line-height: 1.5;
    background: rgba(16, 27, 34, 0.73);
    padding: 6px 15px 6px 15px;
    border-radius: 3px;
}

.elementor .elementor-widget-ci_theme_events figure,
.elementor .elementor-widget-ci_theme_events .entry-thumb {
    margin-bottom: 15px !important;
}

.elementor .elementor-widget-ci_theme_events .item-list .item {
    margin-bottom: 0;
}

.elementor .elementor-widget-ci_theme_events .item-title {
    margin: 0;
}

.elementor .elementor-widget-ci_theme_events .item-title a {
    font-family: 'Montserrat', sans-serif;
}

/* -----------------------------------------
	WooCommerce
   ----------------------------------------- */

.product-categories .children {
    margin-left: 1.5em;
    padding-top: 5px;
}

.product-categories .children li:last-child {
    padding-bottom: 0;
}

.single-product div.product .product_meta .release_date,
.single-product div.product .product_meta .recording_label,
.single-product div.product .product_meta .sku_wrapper, .single-product div.product .product_meta .posted_in, .single-product div.product .product_meta .tagged_as {
    display: block;
}

.woocommerce-product-details__short-description {
    margin-top: 1rem;
}

.woocommerce #respond input#submit.disabled, .woocommerce #respond input#submit:disabled, .woocommerce #respond input#submit:disabled[disabled], .woocommerce a.button.disabled, .woocommerce a.button:disabled, .woocommerce a.button:disabled[disabled], .woocommerce button.button.disabled, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled], .woocommerce input.button.disabled, .woocommerce input.button:disabled, .woocommerce input.button:disabled[disabled] {
    padding: 15px 10px;
    line-height: normal;
}

.woocommerce #content input.button.alt:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .woocommerce-page #content input.button.alt:hover, .woocommerce-page #respond input#submit.alt:hover, .woocommerce-page a.button.alt:hover, .woocommerce-page button.button.alt:hover, .woocommerce-page input.button.alt:hover {
    background-color: #D95919 !important;
    border: 1px solid #D95919 !important;
    color: white !important;
    line-height: normal;
    padding: 15px 10px;
}

.woocommerce #content input.button:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce-page #content input.button:hover, .woocommerce-page #respond input#submit:hover, .woocommerce-page a.button:hover, .woocommerce-page button.button:hover, .woocommerce-page input.button:hover {
    background-color: #D95919 !important;
    border: 1px solid #D95919 !important;
    color: white !important;
    line-height: normal;
    padding: 15px 10px;
}

.woocommerce #content input.button, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce-page #content input.button, .woocommerce-page #respond input#submit, .woocommerce-page a.button, .woocommerce-page button.button, .woocommerce-page input.button {
    background-color: #D95919 !important;
    border: 1px solid #D95919 !important;
    color: white !important;
    line-height: normal;
    padding: 15px 10px;
}

.woocommerce #content input.button.alt:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .woocommerce-page #content input.button.alt:hover, .woocommerce-page #respond input#submit.alt:hover, .woocommerce-page a.button.alt:hover, .woocommerce-page button.button.alt:hover, .woocommerce-page input.button.alt:hover {
    background-color: #D95919 !important;
    border: 1px solid #D95919 !important;
    color: white !important;
    line-height: normal;
    padding: 15px 10px;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li.active {
    background: #F3ECE2;
    border-bottom-color: #F3ECE2;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li.active::before {
    box-shadow: 2px 2px 0 #F3ECE2;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li.active::after {
    box-shadow: -2px 2px 0 #F3ECE2;
}

.woocommerce ul.products li.product {
    text-align: center;
}

.woocommerce ul.products li.product .box-image {
    position: relative;
    overflow: hidden;
}

.woocommerce ul.products li.product .box-image a img {
    margin: 0;
}

.woocommerce ul.products li.product:hover .button {
    -webkit-transform: translatey(0) !important;
    transform: translatey(0) !important;
}

.woocommerce ul.products li.product .button {
    font-size: 12px;
    line-height: 15px;
    padding: 8px 12px;
    min-height: 15px;
    font-weight: bold;
    text-transform: uppercase;
}

.woocommerce table.shop_table:not( .has-background ) {
    border: none;
    background-color: #f8f8f8;
}

.woocommerce table.shop_table:not( .has-background ) tbody td {
    background-color: #fdfdfd;
}

.woocommerce table.cart td.actions {
    border-top: 1em solid transparent;
    background-color: transparent;
    padding: 0;
}

.woocommerce table.cart td.actions label {
    display: none;
}

.woocommerce table.cart td.actions .coupon {
    padding-bottom: 1em;
    margin-bottom: 1em;
}

.woocommerce table.cart td.actions input {
    display: block;
    width: auto !important;
    padding: 15px 10px !important;
    min-width: auto;
}

@media (min-width: 1024px) {
    .woocommerce ul.products li.product .button {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        border-radius: 0;
        -webkit-transform: translatey(100%);
        transform: translatey(100%);
        -webkit-transition: 0.35s;
        transition: 0.35s;
    }
}

.social-icon {
  position: relative;
}

.logos--tidal-icon {
  display: inline-block;
  width: 1.25em;
  height: 1.25em;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 256 171'%3E%3Cpath fill='white' d='m128.004 85.339l42.664 42.67l-42.664 42.667l-42.669-42.667zM42.667.002L85.335 42.67L42.667 85.34L0 42.67zm170.666 0L256 42.67l-42.667 42.67l-42.666-42.67l-42.663 42.669l-42.669-42.67L128.004 0l42.663 42.665z'/%3E%3C/svg%3E");
  background-position-y: 0.25em;
}

.logos--amazon-music-icon {
  display: inline-block;
  width: 2em;
  height: 2em;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-image: url(/wp-content/themes/steve-tallis/assets/images/amazon-music.svg);
  position: relative;
  margin-top: -1em;
  top: 0.6em;
}


.logos--apple-music-icon {
  display: inline-block;
  width: 1em;
  height: 1em;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-image: url("/wp-content/themes/steve-tallis/assets/images/apple-music.svg");
  position: relative;
  top: 0.1em;
}

/* Render items as columns */
.masonry-container > div {
  display: flex;
  align-items: start;
  /* flex-flow: column wrap !important; */
}

/* Re-order items into rows */
.masonry-container-item {
    width: 32%;
}
.masonry-container-item:nth-child(3n+1) { order: 1; }
.masonry-container-item:nth-child(3n+2) { order: 2; }
.masonry-container-item:nth-child(3n)   { order: 3; }

/* Force new columns */
.masonry-container > div::before,
.masonry-container > div::after {
  content: "";
  flex-basis: 100%;
  width: 0;
  order: 2;
}
